// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * State kind
 * </pre>
 *
 * Protobuf enum {@code commonmodule.HealthKind}
 */
public enum HealthKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * No problems, normal operation ("green").
   * </pre>
   *
   * <code>HealthKind_UNDEFINED = 0;</code>
   */
  HealthKind_UNDEFINED(0),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>HealthKind_none = 1;</code>
   */
  HealthKind_none(1),
  /**
   * <pre>
   * No problems, normal operation ("green").
   * </pre>
   *
   * <code>HealthKind_OK = 2;</code>
   */
  HealthKind_OK(2),
  /**
   * <pre>
   * Minor problems, but in safe operating mode ("yellow"). The exact meaning is a local issue,
   * depending on the dedicated function/device.
   * </pre>
   *
   * <code>HealthKind_Warning = 3;</code>
   */
  HealthKind_Warning(3),
  /**
   * <pre>
   * Severe problem, no operation possible ("red").
   * </pre>
   *
   * <code>HealthKind_Alarm = 4;</code>
   */
  HealthKind_Alarm(4),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * No problems, normal operation ("green").
   * </pre>
   *
   * <code>HealthKind_UNDEFINED = 0;</code>
   */
  public static final int HealthKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>HealthKind_none = 1;</code>
   */
  public static final int HealthKind_none_VALUE = 1;
  /**
   * <pre>
   * No problems, normal operation ("green").
   * </pre>
   *
   * <code>HealthKind_OK = 2;</code>
   */
  public static final int HealthKind_OK_VALUE = 2;
  /**
   * <pre>
   * Minor problems, but in safe operating mode ("yellow"). The exact meaning is a local issue,
   * depending on the dedicated function/device.
   * </pre>
   *
   * <code>HealthKind_Warning = 3;</code>
   */
  public static final int HealthKind_Warning_VALUE = 3;
  /**
   * <pre>
   * Severe problem, no operation possible ("red").
   * </pre>
   *
   * <code>HealthKind_Alarm = 4;</code>
   */
  public static final int HealthKind_Alarm_VALUE = 4;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static HealthKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static HealthKind forNumber(int value) {
    switch (value) {
      case 0: return HealthKind_UNDEFINED;
      case 1: return HealthKind_none;
      case 2: return HealthKind_OK;
      case 3: return HealthKind_Warning;
      case 4: return HealthKind_Alarm;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<HealthKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      HealthKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<HealthKind>() {
          public HealthKind findValueByNumber(int number) {
            return HealthKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(15);
  }

  private static final HealthKind[] VALUES = values();

  public static HealthKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private HealthKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.HealthKind)
}

